RubyGems Navigation menu

ronin-exploits 1.0.4

ronin-exploits is a Ruby micro-framework for writing and running exploits. ronin-exploits allows one to write exploits as plain old Ruby classes. ronin-exploits can be distributed as Ruby files or as git repositories that can be installed using ronin-reps. It's like a simpler version of Metasploit.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.0.4 - December 24, 2023 (54.5 KB)
  2. 1.0.3 - September 19, 2023 (54.5 KB)
  3. 1.0.2 - June 12, 2023 (54.5 KB)
  4. 1.0.1 - March 02, 2023 (54 KB)
  5. 1.0.0 - February 01, 2023 (53 KB)
Show all versions (15 total)

Runtime Dependencies (8):

ronin-core ~> 0.1
ronin-payloads ~> 0.1, >= 0.1.1
ronin-post_ex ~> 0.1
ronin-repos ~> 0.1
ronin-support ~> 1.0, >= 1.0.1
ronin-vulns ~> 0.1, >= 0.1.1

Development Dependencies (1):

bundler ~> 2.0

Owners:

Pushed by:

Authors:

  • Postmodern

SHA 256 checksum:

ac71f94dcb1366cd7bc68da11ff629424ff33885f112f50de243a13184cab063

Total downloads 30,521

For this version 563

License:

LGPL-3.0

Required Ruby Version: >= 3.0.0

New versions require MFA: true

Version published with MFA: true

Links: